import * as mysql from 'mysql';
import { Product } from 'ssn';
import * as database from './database';

export default function updateManifestVersion(product: Product, newVersion: number) {
  const queryTemplate = `UPDATE \`ssn_versions\` SET \`manifest\` = ? WHERE \`product\` = ?;`;
  const query = mysql.format(queryTemplate, [Number(newVersion), String(product)]);
  return database.query(query);
}
